We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 4439 - replace "image" references with "media" in galley edit pages
replace "image" references with "media" in galley edit pages
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: User Interface
2.x
PC Mac OS X 10.3
: P5 minor
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 22:10 PDT by James MacGregor
Modified: 2013-05-29 15:47 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-06-15 22:10:35 PDT
Thanks to Bug 3303, OJS and IIRC OCS can support the uploading of multiple different filetypes as part of the HTML galley upload process, not just images, under the HTML Galley Files section; however, text references still suggest that only images can/should be uploaded. Change "Images" references to "Media".
Comment 1 James MacGregor 2009-07-30 16:32:00 PDT
I can fix this simply and poorly by changing a couple of lines in some locale files; but there are a lot of references to eg. galleyImages as div tags and message keys (which I am comfortable changing), but also to:

-- galleyImages appearing in a couple of DAO and inc. files (eg. "function &getGalleyImages($galleyId) { ..." in ArticleGalleyDAO.inc.php); 

-- some references to objects like imageFile within galleyForm.tpl. 

-- ditto references to eg. setImageFiles ... getImageFiles ... etc. 

I think to do this properly most of these references should be changed from 'image' to 'media'. Does this make sense? I can try this out and post a patch before committing in case I'm doing anything weird/crazy.
Comment 2 James MacGregor 2009-08-26 13:35:49 PDT
Involves a locale change or two -- deferring.
Comment 3 Alec Smecher 2013-05-29 15:47:54 PDT
Superseded by UI/UX changes for 3.0.